# Exchange verified channel authentication for a bounded runtime credential.

Source: <https://everruns.com/docs/api/operations/exchange/>

POST

/v1/channels/{channel\_id}/runtime-auth

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/channels/example/runtime-auth';
const options = {method: 'POST'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request POST \
  --url https://app.everruns.com/api/v1/channels/example/runtime-auth
```

* Production APIapp.everruns.com/api/v1/channels/{channel\_id}/runtime-auth

## Parameters

### Path Parameters

**channel\_id**

required

string

## Responses

### 200

Success

Media typeapplication/json

##### Examplegenerated

```json
example
```

### 400

An agent key without an End-User id

### 401

Authentication required

### 403

Permission denied